<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: RuntimePreviewGenerator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_runtime_preview_generator.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_runtime_preview_generator-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">RuntimePreviewGenerator Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a5629b38838c595b8159a834cbdd20fe4"><td class="memItemLeft" align="right" valign="top"><a id="a5629b38838c595b8159a834cbdd20fe4" name="a5629b38838c595b8159a834cbdd20fe4"></a>
static Texture2D&#160;</td><td class="memItemRight" valign="bottom"><b>GenerateMaterialPreview</b> (Material material, PrimitiveType previewObject, int width=64, int height=64)</td></tr>
<tr class="separator:a5629b38838c595b8159a834cbdd20fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7615550e72601135912b718db421dc"><td class="memItemLeft" align="right" valign="top"><a id="a2a7615550e72601135912b718db421dc" name="a2a7615550e72601135912b718db421dc"></a>
static Texture2D&#160;</td><td class="memItemRight" valign="bottom"><b>GenerateMaterialPreviewWithShader</b> (Material material, PrimitiveType previewPrimitive, Shader shader, string replacementTag, int width=64, int height=64)</td></tr>
<tr class="separator:a2a7615550e72601135912b718db421dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae253b81afa8f13e85c3a71b125c1b64b"><td class="memItemLeft" align="right" valign="top"><a id="ae253b81afa8f13e85c3a71b125c1b64b" name="ae253b81afa8f13e85c3a71b125c1b64b"></a>
static Texture2D&#160;</td><td class="memItemRight" valign="bottom"><b>GenerateModelPreview</b> (Transform model, int width=64, int height=64, bool shouldCloneModel=false)</td></tr>
<tr class="separator:ae253b81afa8f13e85c3a71b125c1b64b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a607d8c54c3e95a407e4e05384a683f2c"><td class="memItemLeft" align="right" valign="top"><a id="a607d8c54c3e95a407e4e05384a683f2c" name="a607d8c54c3e95a407e4e05384a683f2c"></a>
static Texture2D&#160;</td><td class="memItemRight" valign="bottom"><b>GenerateModelPreviewWithShader</b> (Transform model, Shader shader, string replacementTag, int width=64, int height=64, bool shouldCloneModel=false)</td></tr>
<tr class="separator:a607d8c54c3e95a407e4e05384a683f2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8dfab2d08210997b17b9d38fa6f9027"><td class="memItemLeft" align="right" valign="top"><a id="ac8dfab2d08210997b17b9d38fa6f9027" name="ac8dfab2d08210997b17b9d38fa6f9027"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>CalculateBounds</b> (Transform target, out Bounds bounds)</td></tr>
<tr class="separator:ac8dfab2d08210997b17b9d38fa6f9027"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416710bd5be5d05d0efb2fd27f306e99"><td class="memItemLeft" align="right" valign="top"><a id="a416710bd5be5d05d0efb2fd27f306e99" name="a416710bd5be5d05d0efb2fd27f306e99"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>CalculateCameraPosition</b> (Camera camera, Bounds bounds, float padding=0f)</td></tr>
<tr class="separator:a416710bd5be5d05d0efb2fd27f306e99"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a536c660fb43b3362230d520f98aa546e"><td class="memItemLeft" align="right" valign="top"><a id="a536c660fb43b3362230d520f98aa546e" name="a536c660fb43b3362230d520f98aa546e"></a>
static Camera&#160;</td><td class="memItemRight" valign="bottom"><b>PreviewRenderCamera</b><code> [getset]</code></td></tr>
<tr class="separator:a536c660fb43b3362230d520f98aa546e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0228aca839b5c87896d25a7e21c4893a"><td class="memItemLeft" align="right" valign="top"><a id="a0228aca839b5c87896d25a7e21c4893a" name="a0228aca839b5c87896d25a7e21c4893a"></a>
static Vector3&#160;</td><td class="memItemRight" valign="bottom"><b>PreviewDirection</b><code> [getset]</code></td></tr>
<tr class="separator:a0228aca839b5c87896d25a7e21c4893a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20e1661559cb8661bef0366ed716b636"><td class="memItemLeft" align="right" valign="top"><a id="a20e1661559cb8661bef0366ed716b636" name="a20e1661559cb8661bef0366ed716b636"></a>
static float&#160;</td><td class="memItemRight" valign="bottom"><b>Padding</b><code> [getset]</code></td></tr>
<tr class="separator:a20e1661559cb8661bef0366ed716b636"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcf64a1695929089fca35bb04c2d2f46"><td class="memItemLeft" align="right" valign="top"><a id="adcf64a1695929089fca35bb04c2d2f46" name="adcf64a1695929089fca35bb04c2d2f46"></a>
static Color&#160;</td><td class="memItemRight" valign="bottom"><b>BackgroundColor</b><code> [getset]</code></td></tr>
<tr class="separator:adcf64a1695929089fca35bb04c2d2f46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d82baa1a829ac910f24ba4745b7ed9a"><td class="memItemLeft" align="right" valign="top"><a id="a8d82baa1a829ac910f24ba4745b7ed9a" name="a8d82baa1a829ac910f24ba4745b7ed9a"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>OrthographicMode</b><code> [getset]</code></td></tr>
<tr class="separator:a8d82baa1a829ac910f24ba4745b7ed9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ffaedd38376b9945b3a8042edb4e8b9"><td class="memItemLeft" align="right" valign="top"><a id="a6ffaedd38376b9945b3a8042edb4e8b9" name="a6ffaedd38376b9945b3a8042edb4e8b9"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>MarkTextureNonReadable</b><code> [getset]</code></td></tr>
<tr class="separator:a6ffaedd38376b9945b3a8042edb4e8b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Plugins/RuntimePreviewGenerator/<a class="el" href="_runtime_preview_generator_8cs.html">RuntimePreviewGenerator.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_runtime_preview_generator.html">RuntimePreviewGenerator</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
